Redmine - Defect #17882

Subversion: French character filename causes error 404
2014-09-15 20:12 - Jean-Yves Garneau

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 25.0
Description

The file name is "AnalyseOpportunité.docx" and is converted to "AnalyseOpportunit%C3%A9.docx" so cannot be found by SVN.

I'm using Bitnami Redmine Stack :
Version 2.5.0-0 2014-03-03

Updated Redmine to 2.5.0
Updated MySQL to 5.5.36
Updated Ruby to 1.9.3-p545
Updated Rails to 3.2.16

Subversion 1.8.5 is on the local network on Linux machine and my redmine stack is on Windows 7.

The production.log file include theses lines :

Started GET "/redmine/projects/voilure/repository/entry/gestion/48586/AnalyseOpportunit%C3%A9.docx" for 127.0.0.1 at 2014-09-15
12:48:35 -0400

Processing by RepositoriesController#entry as HTML

Parameters: {"id"=>"voilure", "path"=>"gestion/48586/AnalyseOpportunité.docx"}

Current user: admin (id=1)

Rendered common/error.html.erb within layouts/base (0.0ms)

Completed 404 Not Found in 312.0ms (Views: 31.2ms | ActiveRecord: 46.8ms)

Related issues:

Related to Redmine - Defect #7505: Subversion: Repository URL with space not ... Closed 2011-01-31
Related to Redmine - Defect #2532: Cannot browse Subversion paths that contai... Closed 2009-01-19
History

#1 - 2014-09-16 03:45 - Toshi MARUYAMA

- Subject changed from Opening file containing french characters in "Repository" tab cause error 404 to Subversion: French characters filename cause
error 404

- Category set to SCM

#2 - 2014-09-16 03:47 - Toshi MARUYAMA
- Related to Defect #7505: Subversion: Repository URL with space not handled correctly added

#3 - 2014-09-16 03:49 - Toshi MARUYAMA

- Related to Defect #2532: Cannot browse Subversion paths that contain spaces added

#4 - 2014-09-16 03:52 - Toshi MARUYAMA

I think you use "http://...".
Can you change it to "svn://..."?
Or can you try #7505 description change?

#5 - 2014-09-16 03:54 - Toshi MARUYAMA

- Subject changed from Subversion: French characters filename cause error 404 to Subversion: French character filename causes error 404

#6 - 2014-09-16 13:49 - Jean-Yves Garneau

I'm using "svn://...". | don't understand #7505 resolution. Do | need to modify the "subversion_adapter.rb"?
#7 - 2014-09-17 13:31 - Jean-Yves Garneau

The same problem exist with directory with french character.

2025-05-17 22


http://www.tcpdf.org

